$ Copyright 2003 Sun Microsystems, Inc. All rights reserved.
$ Use is subject to license terms.


$  #ident	"@(#)pmemtest.msg	1.19	03/11/25	SMI"



$ VERBOSE 1
1	"%s"
2	"%dMB of memory read."
3	"Total amount of memory read is %dMB."
4	"There are no SIMMs in Board%d, Bank%d."
5	"%s specific arguments:\n\
\tdev=<device_name>\n\
\tthreshold=<ECC Report Threshold> \n\
\t           0 means do not report error\n\
\tsection=<memory section of memory to be tested> \n\
\t           -1 means sequential test on one section in each pass\n\
\t               test section is function of <pass> and <instance no> \n\
\tbdinfo=<board information> \n\
\tsize=<number> percentages of memory to be test\n"
6	"You have selected section %d which is out of range: %d.\n\
Your selection has been changed to section %d."
7	"Instance:%d, Pass:%d, Section:%d \n"

$ INFO 2000
2000	"%s"
2001	"Connected <%ld MB physical memory has been found> "

$ WARNING 4000
4000	"%s"
4001	"%d ECC errors in simm %s"
4002	"Unable to get system platform info. sysinfo(SI_PLATFORM) failed:%s."
4003	"Unable to get system processor configurations.\
sysconf(_SC_NPROCESSORS_ONLN) failed: %s."

$ ERROR  6000
6000	"%s"
6001	"Correctable errors found."
6002	"%d persistent errors on %s."
6003	"%d intermittent errors on %s."
6004	"Symbol %s not found in kernel image."
6005	"%d persistent errors on %s SIMM(s). Probable_Cause(s): <%s SIMM(s).>\
Recommended_Actions: <Call your service representative.>"
6006	"%d ECC errors in simm %s."
6007	"ECC errors in %d:  simm %s0x%llx ."

6008	"The available size 0x%llx, from OS, is not multiple of 1MB. Probable_Cause(s): <Possible OS error.> \
Recommended_Actions: <Check the available size with your system physical memory>"

6009	"kvm_open() failed: Possibly due to resource limitations.\n\
Decrease either the number of group instances or the number of test\n\
instance, and try again."

6010	"llseek to address 0x%llx failed (%s)."

6011	"read() at address 0x%llx [%s] failed (%s)."

6012	"Symbol %s not found in kernel image."

6013	"Unable to read pointer to kernel memory structure (memlist)."

6014	"llseek to address 0x%llx [%s] failed (%s)."

6015	"kvm_read() call failed"

6017	"sunfire_kstat_info(): No Space."

6018	"kstat_open() failed: %s"

6019	"kstat_close() failed: %s"

6020	"kstat_lookup() failed for Address Controller: %s."

6021	"kstat_read failed for Address Controller: %s."

6022	"kstat_data_lookup failed for MEMCTL register."

6023	"kstat_data_lookup failed for MEMDEC0 register."

6024	"kstat_data_lookup failed for MEMDEC1 register."

6025	"kstat_lookup() failed for SIMM status registers: %s."

6026	"kstat_read() failed for SIMM status registers: %s."

6027	"BDINFO is NULL."

6028	"Couldn't open file /dev/mem: %s."

6029	"Unable to read \"size\" and \"address\" in kernel memory structures(memlist)."

6030	"Multiple persistent ECC errors on %s. \n\
Please see /var/adm/messages file for details."

6031	"Multiple intermittent ECC errors on %s. \n\
Please see /var/adm/messages file for details."

6032	"Multiple ECC errors in simm %s."


$ FATAL  8000
8000	"kvm_open() failed: Possibly due to resource limitations.\n\
Decrease either the number of group instances or the number of test\n\
instance, and try again."
8001	"sysinfo(SI_PLATFORM) failed: %s."
8002	"Symbol %s not found in kernel image."
8003	"Couldn't open file /dev/mem: %s."
8004	"Unable to read pointer to memlist structure."
8005	"Unable to read \"size\" and \"address\" in memlist."
8006	"llseek() to address 0x%llx failed (%s)."
8007	"read() at address 0x%llx failed (%s)."
8008	"sysconf(_SC_NPROCESSORS_ONLN) failed: %s."
8009	"llseek to address 0x%llx failed (%s)."
8010	"llseek to address 0x%llx [%s] failed (%s)."
8011	"read() at address 0x%llx [%s] failed (%s)."
8012	"%s"
8013	"BDINFO is NULL."
8014	"No physical memory found."
8015    "sysconf(_SC_PHYS_PAGES) failed: %s."
8016    "malloc() failed: Not enough available memory."
8017    "calloc() failed: Not enough available memory."
8018    "BDINFO is NULL."
8019    "No physical memory found."

